#!/usr/bin/env sh

git submodule add --name kubespray --depth 1 -- "${KUBESPRAY_REPO:-https://github.com/southbridgeio/kubespray.git}"
cat .gitmodules

python3 -m venv --upgrade --system-site-packages .venv-kubespray
.venv-kubespray/bin/pip3 install --upgrade pip setuptools wheel
.venv-kubespray/bin/pip3 install -r kubespray/requirements.txt

.venv-kubespray/bin/ansible --version
